curl --request PUT \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "Updated Agent Name",
"description": "Updated description"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"disable_cache": true,
"cache_failed_jobs": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_class_id": "<string>",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_count": 123,
"most_recent_job": "2023-11-07T05:31:56Z",
"engine_name": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "blue",
"created_at": "2023-11-07T05:31:56Z",
"creator": 123,
"usage_count": 123
}
],
"skill_generation_state": "generating",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
}{}{
"detail": "<string>"
}{
"detail": "<string>"
}Update an Agent's Settings
Update a base agent’s settings.
curl --request PUT \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "Updated Agent Name",
"description": "Updated description"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"disable_cache": true,
"cache_failed_jobs": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_class_id": "<string>",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_count": 123,
"most_recent_job": "2023-11-07T05:31:56Z",
"engine_name": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "blue",
"created_at": "2023-11-07T05:31:56Z",
"creator": 123,
"usage_count": 123
}
],
"skill_generation_state": "generating",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
}{}{
"detail": "<string>"
}{
"detail": "<string>"
}curl --request PUT \
--url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"name": "Updated Agent Name",
"description": "Updated description"
}'
Authorizations
Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.
Path Parameters
A UUID string identifying this base agent.
Query Parameters
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.
Body
Response
Agent updated successfully.
Serializer for BaseAgent (agent config)
1 - 200Whether to disable job cache fetching for this agent.
Whether to cache failed jobs for this agent.
Organization ID that owns this agent.
200UUID of the current agent version.
Served job count: cached baseline + live delta, annotated by the views
as job_count. None when stats weren't fetched (the list can be
requested with include_job_stats=false; use /agents/job-stats/).
Engine Display Name
Show child attributes
Show child attributes
generating- generatingfailed- failed
generating, failed Show child attributes
Show child attributes